Skip to main content
PUT
/
v1
/
organizations
/
{organization_id}
/
organization-members
/
{organization_member_id}
/
job-roles
/
{job_role_id}
Assign job role to member
curl --request PUT \
  --url https://api.natecosmic.com/v1/organizations/{organization_id}/organization-members/{organization_member_id}/job-roles/{job_role_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_primary": true
}
'
{
  "data": {
    "organization_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "job_role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_primary": true,
    "assigned_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Scopes (integration tokens): organizations:read, organization-members:read|write, certifications:read|write, job-roles:read|write, qualifications:read|write, certification-types:read|write.

Path Parameters

organization_id
string<uuid>
required

Organization identifier

organization_member_id
string<uuid>
required

Organization member identifier

job_role_id
string<uuid>
required

Job role identifier

Body

application/json
is_primary
boolean

Response

Assignment upserted

data
object
required